summaryrefslogtreecommitdiff
path: root/source4/utils/tests/test_net.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/utils/tests/test_net.sh')
-rwxr-xr-xsource4/utils/tests/test_net.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/source4/utils/tests/test_net.sh b/source4/utils/tests/test_net.sh
index 3406c87cda..eb598bf5e1 100755
--- a/source4/utils/tests/test_net.sh
+++ b/source4/utils/tests/test_net.sh
@@ -9,8 +9,9 @@ shift 4
failed=0
-samba4bindir=`dirname $0`/../../bin
-smbclient=$samba4bindir/smbclient
+samba4bindir="$BUILDDIR/bin"
+smbclient="$samba4bindir/smbclient$EXEEXT"
+net="$samba4bindir/net$EXEEXT"
testit() {
name="$1"
@@ -28,7 +29,7 @@ testit() {
return $status
}
-testit "domain join" $VALGRIND bin/net join $DOMAIN $CONFIGURATION -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+testit "domain join" $VALGRIND $net join $DOMAIN $CONFIGURATION -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
testit "Test login with --machine-pass without kerberos" $VALGRIND $smbclient -c 'ls' $CONFIGURATION //$SERVER/tmp --machine-pass -k no || failed=`expr $failed + 1`